RDKit::RDAny Struct Reference

`#include <RDAny.h>`

## Public Member Functions

| RDAny ()
template<class T >
| RDAny (const T &d)
| RDAny (const RDAny &rhs)
| ~RDAny ()
RDAny & | operator= (const RDAny &rhs)
RDAny & | operator= (float d)
RDAny & | operator= (int d)
RDAny & | operator= (unsigned int d)
RDAny & | operator= (bool d)
RDAny & | operator= (const std::string &d)
RDAny & | operator= (const std::vector< double > &d)
RDAny & | operator= (const std::vector< float > &d)
RDAny & | operator= (const std::vector< int > &d)
RDAny & | operator= (const std::vector< unsigned int > &d)
RDAny & | operator= (const std::vector< std::string > &d)
RDAny & | operator= (const boost::any &d)
template<class T >
RDAny & | operator= (const T &d)

## Public Attributes

RDValue | m_value

## Detailed Description

Definition at line 71 of file RDAny.h.

## Constructor & Destructor Documentation

## RDAny() [1/3]

RDKit::RDAny::RDAny | ( |  | ) |

inline

Definition at line 74 of file RDAny.h.

## RDAny() [2/3]

template<class T >

RDKit::RDAny::RDAny | ( | const T & | d | ) |

inline

Definition at line 76 of file RDAny.h.

## RDAny() [3/3]

RDKit::RDAny::RDAny | ( | const RDAny & | rhs | ) |

inline

Definition at line 84 of file RDAny.h.

References RDKit::copy_rdvalue(), and m_value.

## ~RDAny()

RDKit::RDAny::~RDAny | ( |  | ) |

inline

Definition at line 86 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), and m_value.

## Member Function Documentation

## operator=() [1/13]

RDAny& RDKit::RDAny::operator= | ( | bool | d | ) |

inline

Definition at line 116 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), and m_value.

## operator=() [2/13]

RDAny& RDKit::RDAny::operator= | ( | const boost::any & | d | ) |

inline

Definition at line 158 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), and m_value.

## operator=() [3/13]

RDAny& RDKit::RDAny::operator= | ( | const RDAny & | rhs | ) |

inline

Definition at line 93 of file RDAny.h.

References RDKit::copy_rdvalue(), and m_value.

## operator=() [4/13]

RDAny& RDKit::RDAny::operator= | ( | const std::string & | d | ) |

inline

Definition at line 122 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), and m_value.

## operator=() [5/13]

RDAny& RDKit::RDAny::operator= | ( | const std::vector< double > & | d | ) |

inline

Definition at line 128 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), and m_value.

## operator=() [6/13]

RDAny& RDKit::RDAny::operator= | ( | const std::vector< float > & | d | ) |

inline

Definition at line 134 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), and m_value.

## operator=() [7/13]

RDAny& RDKit::RDAny::operator= | ( | const std::vector< int > & | d | ) |

inline

Definition at line 140 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), and m_value.

## operator=() [8/13]

RDAny& RDKit::RDAny::operator= | ( | const std::vector< std::string > & | d | ) |

inline

Definition at line 152 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), and m_value.

## operator=() [9/13]

RDAny& RDKit::RDAny::operator= | ( | const std::vector< unsigned int > & | d | ) |

inline

Definition at line 146 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), and m_value.

## operator=() [10/13]

template<class T >

RDAny& RDKit::RDAny::operator= | ( | const T & | d | ) |

inline

Definition at line 165 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), and m_value.

## operator=() [11/13]

RDAny& RDKit::RDAny::operator= | ( | float | d | ) |

inline

Definition at line 98 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), and m_value.

## operator=() [12/13]

RDAny& RDKit::RDAny::operator= | ( | int | d | ) |

inline

Definition at line 104 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), and m_value.

## operator=() [13/13]

RDAny& RDKit::RDAny::operator= | ( | unsigned int | d | ) |

inline

Definition at line 110 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), and m_value.

## Member Data Documentation

## m_value

RDValue RDKit::RDAny::m_value

Definition at line 72 of file RDAny.h.

Referenced by RDKit::from_rdany(), operator=(), RDAny(), RDKit::rdany_cast(), and ~RDAny().

The documentation for this struct was generated from the following file:

- RDAny.h